Subject: libtool with expat, xmlwf/xmlwf target problems again
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 24 Sep 2003 09:17:07 +0200

Hallo Chuck,

Do you remember our talk about libtool problems when the targetname is
xmlwf/xmlwf and when the target name is also the executable name,
here: http://www.cygwin.com/ml/cygwin/2003-04/msg01283.html

I have the same problem again and I cannot remmber how I resolved it.
The Makefile.in from the latest release and the Makefile.in from the
current CVS are pretty much the same and I just relibtoolized and
compiled it with no problems.  Now I wonder how this was possible and
what is wrong now (again).

From the Makefile:

default:  buildlib xmlwf/xmlwf

buildlib: $(LIBRARY)

all: $(LIBRARY) xmlwf/xmlwf examples/elements examples/outline

From make:
sh /tmp/expat/expat-1.95.7/.obj/libtool --silent --mode=link gcc -g -O2 -Wall -Wmissing-prototypes -Wstrict-prototypes -fexceptions   -I/tmp/expat/expat-1.95.7/lib -I.  -o xmlwf/xmlwf xmlwf/xmlwf.o xmlwf/xmlfile.o xmlwf/codepage.o xmlwf/readfilemap.o libexpat.la
/tmp/expat/expat-1.95.7/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent
/tmp/expat/expat-1.95.7/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent
/tmp/expat/expat-1.95.7/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent
/tmp/expat/expat-1.95.7/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent
/tmp/expat/expat-1.95.7/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent
/tmp/expat/expat-1.95.7/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent
ln: accessing `.libs/xmlwf/xmlwf.exe': No such file or directory

Do you have an idea what I can do to get around this?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/